﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.OleDb;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace FilterInCode
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            // get data
            var da = new OleDbDataAdapter(FileldsInCode.Properties.Resources.sql, GetConnectionString());
            var dt = new DataTable("NorthWind Sales Data");
            da.Fill(dt);

            // bind to FlexPivot page
            this.c1FlexPivotPage1.DataSource = dt;

            // build view
            var fp = this.c1FlexPivotPage1.FlexPivotEngine;
            fp.RowFields.Add("Category");
            fp.ColumnFields.Add("Country", "OrderDate", "Customer");
            fp.ValueFields.Add("Sales");

            // format order date and extended price
            var field = fp.Fields["Country"];
            field.Caption = "Country";

           var grid= c1FlexPivotPage1.FlexPivotGrid as C1.Win.C1FlexGrid.C1FlexGrid;
            grid.DrawMode = C1.Win.C1FlexGrid.DrawModeEnum.OwnerDraw;
            grid.OwnerDrawCell += Grid_OwnerDrawCell;
            grid.AutoSizeCols(100);
        }
        private void Grid_OwnerDrawCell(object sender, C1.Win.C1FlexGrid.OwnerDrawCellEventArgs e)
        {
           if(!e.Measuring)
            {
                if (e.Row < c1FlexPivotPage1.FlexPivotEngine.ColumnFields.Count && e.Col != 0)
                {
                    e.Text = c1FlexPivotPage1.FlexPivotEngine.ColumnFields[e.Row].Name + ": " + e.Text;
                }
            }
        }
        static string GetConnectionString()
        {
            string path = Environment.GetFolderPath(Environment.SpecialFolder.Personal) + @"\ComponentOne Samples\Common";
            string conn = @"provider=microsoft.jet.oledb.4.0;data source={0}\c1nwind.mdb;";
            return string.Format(conn, path);
        }
    }
}
